#ifndef OPERAFORM_H
#define OPERAFORM_H

#include <QDialog>
#include "../fmTakeaway_db/FmTakeaway_db.h"
#include <QList>

namespace Ui {
class OperaForm;
}

class OperaForm : public QDialog
{
    Q_OBJECT

public:
    explicit OperaForm(const QList<FmTakeaway_db::OperatorInfo> &listOperator, QWidget *parent);
    ~OperaForm();

    FmTakeaway_db::OperatorInfo GetOperator();

private:
    Ui::OperaForm *ui;

    FmTakeaway_db::OperatorInfo m_operator;
    QPushButton *m_prevBtn;

private slots:
    void onBtnToggled(bool bChecked);
};

#endif // OPERAFORM_H
